# Generate a quote document The document call generates a quote document and returns the generated document URL. You can directly access the generated quote file through the returned URL. The document call should be only used from Zuora Quotes. ### File Size Limitation The maximum export file size is 2047MB. If you have large data requests that go over this limit, you will get the following 403 HTTP response code from Zuora: security:max-object-size>2047MB Submit a request at Zuora Global Support if you require additional assistance. We can work with you to determine if large file optimization is an option for you. Endpoint: POST /v1/quotes/document Version: 2025-12-17 ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Authorization` (string) The value is in the Bearer {token} format where {token} is a valid OAuth token generated by calling Create an OAuth token. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you do not need to set this header. ## Request fields (application/json): - `apiuser` (string) If not using Salesforce locale, this API Zuora user will be used to retrieve the locale from Zuora. Example: "contact@example.com" - `documentType` (string, required) Type of the document to generate: PDF or DOC. Example: "pdf" - `locale` (string) Salesforce locale value to use. Example: "en_US" - `password` (string) - `quoteId` (string, required) | Id of the quote。 Example: "a0Bi000000A71rp" - `sandbox` (string) - `serverUrl` (string, required) SOAP URL used to login to Salesforce to get data. You can get the value with the following code in a Visualforce page: {!$Api.Partner_Server_URL_100} Example: "https://c.na10.visual.force.com/services/Soap/u/10.0/00DF00000008VnX" - `sessionId` (string, required) Salesforce session id used to log in to Salesforce to get data. You can get the value with the following code in a Visualforce page: {!$Api.Session_ID} Example: "we764buuM03bkE0fmmc5zGMYp" - `templateId` (string, required) Id of the quote template in Zuora. Example: "4028925648fdb7830148fdc1246c0003" - `token` (string) - `useSFDCLocale` (string) If using Salesforce org locale, set this to a value that is not null. Example: "1" - `username` (string) - `zquotesMajorVersion` (string) The major version number of Zuora Quotes you are generating the quote document in. You can use a quote template with hierarchy sizes bigger than 3 if this is set to 7 or higher. Example: "7" - `zquotesMinorVersion` (string) The minor version number of Zuora Quotes you are generating the quote document in. Example: "0" ## Response 200 fields (application/json): - `file` (string) URL of the generated quote document if the file was successfully generated. - `success` (boolean) Returns true if the request was processed successfully.